PHPExcel_Shared_OLE

# Class: PHPExcel_Shared_OLE_PPS

Source Location: /PHPExcel/Shared/OLE/PPS.php

### Class Overview

Class for creating PPS's for OLE containers

#### Author(s):

- Xavier Noguer <xnoguer@php.net>

### Variables

- $children
- $DirPps
- $Name
- $NextPps
- $No
- $ole
- $PrevPps
- $Size
- $Time1st
- $Time2nd
- $Type
- $_data
- $_StartBlock

### Methods

- __construct
- _DataLen
- _getPpsWk
- _savePpsSetPnt

### Child classes:

PHPExcel_Shared_OLE_PPS_File
  Class for creating File PPS's for OLE containers

PHPExcel_Shared_OLE_PPS_Root
  Class for creating Root PPS's for OLE containers

### Class Details

[line 30]
Class for creating PPS's for OLE containers

#### Tags:

author: | Xavier Noguer <xnoguer@php.net>

[ Top ]

### Class Variables

#### $children = array()

[line 102]

Array of child PPS's (only used by Root and Dir PPS's)

#### Tags:

access: | public

Type: | array

[ Top ]

#### $DirPps =

[line 66]

The index of it's first child if this is a Dir or Root PPS

#### Tags:

access: | public

Type: | integer

[ Top ]

#### $Name =

[line 42]

The PPS name (in Unicode)

#### Tags:

access: | public

Type: | string

[ Top ]

#### $NextPps =

[line 60]

The index of the next PPS

#### Tags:

access: | public

Type: | integer

[ Top ]

#### $No =

[line 36]

The PPS index

#### Tags:

access: | public

Type: | integer

[ Top ]

#### $ole =

[line 108]

Pointer to OLE container

#### Tags:

access: | public

Type: | OLE

[ Top ]

#### $PrevPps =

[line 54]

The index of the previous PPS

#### Tags:

access: | public

Type: | integer

[ Top ]

#### $Size =

[line 90]

The size of the PPS's data (in bytes)

#### Tags:

access: | public

Type: | integer

[ Top ]

#### $Time1st =

[line 72]

A timestamp

#### Tags:

access: | public

Type: | integer

[ Top ]

#### $Time2nd =

[line 78]

A timestamp

#### Tags:

access: | public

Type: | integer

[ Top ]

#### $Type =

[line 48]

The PPS type. Dir, Root or File

#### Tags:

access: | public

Type: | integer

[ Top ]

#### $_data =

[line 96]

The PPS's data (only used if it's not using a temporary file)

#### Tags:

access: | public

Type: | string

[ Top ]

#### $_StartBlock =

[line 84]

Starting block (small or big) for this PPS's data inside the container

#### Tags:

access: | public

Type: | integer

[ Top ]

### Class Methods

### static method _savePpsSetPnt [line 203]

`static integer _savePpsSetPnt( array &$raList, $to_save, [ $depth = 0])`

Updates index and pointers to previous, next and children PPS's for this PPS. I don't think it'll work with Dir PPS's.

#### Tags:

return: | The index for this PPS
access: | public

#### Parameters:

array | &$raList | Reference to the array of PPS's for the whole OLE container
| $to_save |
| $depth |

[ Top ]

### constructor __construct [line 125]

`PHPExcel_Shared_OLE_PPS __construct( integer $No, string $name, integer $type, integer $prev, integer $next, integer $dir, integer $time_1st, integer $time_2nd, string $data, array $children)`

The constructor

#### Tags:

access: | public

Overridden in child classes as:

PHPExcel_Shared_OLE_PPS_File::__construct()
  The constructor

PHPExcel_Shared_OLE_PPS_Root::__construct()

#### Parameters:

integer | $No | The PPS index
string | $name | The PPS name
integer | $type | The PPS type. Dir, Root or File
integer | $prev | The index of the previous PPS
integer | $next | The index of the next PPS
integer | $dir | The index of it's first child if this is a Dir or Root PPS
integer | $time_1st | A timestamp
integer | $time_2nd | A timestamp
string | $data | The (usually binary) source data of the PPS
array | $children | Array containing children PPS for this PPS

[ Top ]

### method _DataLen [line 150]

`integer _DataLen( )`

Returns the amount of data saved for this PPS

#### Tags:

return: | The amount of data (in bytes)
access: | public

[ Top ]

### method _getPpsWk [line 170]

`string _getPpsWk( )`

Returns a string with the PPS's WK (What is a WK?)

#### Tags:

return: | The binary string
access: | public

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:17:29 +0200 by phpDocumentor 1.4.4